Points de terminaison de scraping
Obtenir le statut d’un batch scrape
GET
/
batch
/
scrape
/
{id}
Obtenir l’état d’une tâche de scraping par lots
curl --request GET \
--url https://api.firecrawl.dev/v1/batch/scrape/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firecrawl.dev/v1/batch/scrape/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firecrawl.dev/v1/batch/scrape/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"total": 123,
"completed": 123,
"creditsUsed": 123,
"expiresAt": "2023-11-07T05:31:56Z",
"next": "<string>",
"data": [
{
"markdown": "<string>",
"html": "<string>",
"rawHtml": "<string>",
"links": [
"<string>"
],
"screenshot": "<string>",
"metadata": {
"title": "<string>",
"description": "<string>",
"language": "<string>",
"sourceURL": "<string>",
"keywords": "<string>",
"ogLocaleAlternate": [
"<string>"
],
"<any other metadata> ": "<string>",
"statusCode": 123,
"error": "<string>"
}
}
]
}{
"error": "Payment required to access this resource."
}{
"error": "Request rate limit exceeded. Please wait and try again later."
}{
"error": "An unexpected error occurred on the server."
}Remarque : une nouvelle version v2 de cette API est désormais disponible, avec des capacités améliorées de suivi et de monitoring du statut.
Autorisations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Paramètres de chemin
L’ID de la tâche de scraping en lot
Réponse
Réponse en cas de succès
Statut actuel de l’extraction par lots. Peut être scraping, completed ou failed.
Nombre total de pages dont le scraping a été tenté.
Le nombre de pages récupérées avec succès.
Le nombre de crédits utilisés pour le scraping par lots.
Date et heure d’expiration du lot de scraping.
L’URL permettant de récupérer les 10 Mo de données suivants. Renvoyée si l’opération de scraping par lots n’est pas terminée ou si la réponse dépasse 10 Mo.
Les données du scraping par lots.
Show child attributes
Show child attributes
⌘I
Obtenir l’état d’une tâche de scraping par lots
